package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.AuditServiceDAO;
import com.rjconsultores.ventaboletos.entidad.AuditService;
import com.rjconsultores.ventaboletos.service.AuditServiceService;

@Service("auditServiceService")
public class AuditServiceServiceImpl implements AuditServiceService {

	@Autowired
	private AuditServiceDAO auditServiceDAO;
	
	@Override
	public List<AuditService> obtenerTodos() {
		return auditServiceDAO.obtenerTodos();
	}

	@Override
	public AuditService obtenerID(Long id) {
		return auditServiceDAO.obtenerID(id);
	}

	@Override
	public AuditService suscribir(AuditService entidad) {
		return auditServiceDAO.suscribir(entidad);
	}

	@Override
	public AuditService actualizacion(AuditService entidad) {
		return auditServiceDAO.actualizacion(entidad);
	}

	@Override
	public void borrar(AuditService entidad) {
		auditServiceDAO.borrar(entidad);
	}

	@Override
	public AuditService carregarService(AuditService auditService) {
		return auditServiceDAO.carregarService(auditService);
	}
}
